commonModule.controller('editOrganizationDirectorModalController', ['$scope', '$log', 'ackUibModal', '$translate', function ($scope, $log, ackUibModal, $translate) {
    'use strict';
    $scope.isShow = false;

    //模态框管理
    $scope.modalManage = {
        directorModal: {
            open: function () {
                $scope.modalInstance = ackUibModal($scope,
                    'edit-organization-director-modal.html',
                    'edit-organization-director-modal',
                    null, 'static', function () {
                        $scope.isShowD = false;
                        ackMessageBox.close();
                    });
                $scope.modalInstance.open();
            },
            close: function () {
                $scope.modalInstance.close();
            },
            cancel: function () {
                $scope.onClose();
                $scope.modalInstance.cancel();
            },
            save:function () {
                var dxResult = DevExpress.validationEngine.validateGroup($('#directorControlForm').dxValidationGroup("instance")).isValid;
                if (dxResult) {

                }
            }
        }
    };

    var now = new Date();

    var initParams = function () {
        $scope.editModel = {};


        $scope.dropdownDatasource = {
            otherRolesTypeList: constant.organizationHK.OtherRoles,
            executiveTypeList: constant.organizationHK.executiveType
        };


        $scope.textOptions = {
            directorNameOption: {
                bindingOptions: {
                    value: 'editModel.directorName'
                },
                maxLength: 100,
                placeholder: $translate.instant('directorName'),
                width: 300
            },
            residencyOption: {
                bindingOptions: {
                    value: 'editModel.residency'
                },
                maxLength: 100,
                placeholder: $translate.instant('residency'),
                width: 300
            },
            dateOfAppointmentOption: {
                bindingOptions: {
                    value: 'editModel.dateOfAppointment'
                },
                type: "date",
                value: now,
                width: 300,
                displayFormat: constant.date.dateFormatyyyyMMdd,
                dateSerializationFormat: constant.date.dateFormatyyyyMMdd
            },
            dateOfResignationOption: {
                bindingOptions: {
                    value: 'editModel.dateOfResignation'
                },
                type: "date",
                value: now,
                width: 300,
                displayFormat: constant.date.dateFormatyyyyMMdd,
                dateSerializationFormat: constant.date.dateFormatyyyyMMdd
            },
            executiveOption: {
                bindingOptions: {
                    dataSource: 'dropdownDatasource.executiveTypeList',
                    value: 'editModel.executive'
                },
                onSelectionChanged: function (args) {
                    $scope.editModel.executive = args.selectedItem.id;
                },
                itemTemplate: function (itemData, itemIndex, itemElement) {
                    var span = $('<span title="' + itemData.name + '">').text(itemData.name);
                    itemElement.append(span);
                },
                noDataText: $translate.instant('NoDataText'),
                valueExpr: 'id',
                displayExpr: 'name'
            },
            otherRolesOption: {
                bindingOptions: {
                    dataSource: 'dropdownDatasource.otherRolesTypeList',
                    value: 'editModel.otherRoles'
                },
                onSelectionChanged: function (args) {
                    $scope.editModel.otherRoles = args.selectedItem.id;
                },
                itemTemplate: function (itemData, itemIndex, itemElement) {
                    var span = $('<span title="' + itemData.name + '">').text(itemData.name);
                    itemElement.append(span);
                },
                noDataText: $translate.instant('NoDataText'),
                valueExpr: 'id',
                displayExpr: 'name'
            }
        };

        $scope.validateOption = {
            directorNameOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('directorName')
                    }
                ]
            },
            residencyOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('residency')
                    }
                ]
            },
            dateOfAppointmentOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('dateOfAppointment')
                    }
                ]
            },
            dateOfResignationOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('dateOfResignation')
                    }
                ]
            },
            executiveOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('executive')
                    }
                ]
            },
            otherRolesOption: {
                validationRules: [
                    {
                        type: "required",
                        message: $translate.instant('otherRoles')
                    }
                ]
            }
        };
    };

    var init = function () {

    };

    var thisModuleService = {
        initEvents: function () {
            $scope.save = function () {

            };
        },

        initWatches: function () {
            $scope.$watch('isShowD', function (newValue, oldValue) {
                if (newValue) {
                    $scope.modalManage.directorModal.open();
                }
            });
        }
    };

    (function initialize() {
        $log.debug('editOrganizationDirectorModalController.ctor()...');
        initParams();
        init();
        thisModuleService.initWatches();
        thisModuleService.initEvents();
    })();
}]);