// web service proxy for org
webservices.factory('orgHKService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getOrgInfoList: function () {
            return $http.get('/orgHK/getOrgInfoList', apiConfig.create());
        },
        enableOrgs: function (id) {
            return $http.get('/orgHK/enableOrgs?orgId=' + id, apiConfig.create());
        },
        disableOrgs: function (orgList) {
            return $http.post('/orgHK/disableOrgs', orgList, apiConfig.create());
        },
        updateOrg: function (org) {
            return $http.put('/orgHK/update', org, apiConfig.create());
        },
        getOrgListToJson: function (type) {
            return $http.get('/orgHK/getjson?useType=' + type, apiConfig.create());
        },
        getSingleOrg: function (orgId) {
            return $http.get('/orgHK/displaySingle?orgId=' + orgId, apiConfig.create());
        },
        addOrg: function (org) {
            return $http.post('/orgHK/add', org, apiConfig.create());
        }
    }
}]);